Skip to main content
GET
/
enrollments
cURL
curl --request GET \
  --url https://api.unifygtm.com/sequences/v1/enrollments \
  --header 'x-api-key: <api-key>'
{
  "enrollments": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "sequence": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "is_paused": true
      },
      "person": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "first_name": "<string>",
        "last_name": "<string>",
        "linkedin_url": "<string>"
      },
      "mailbox": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "display_name": "<string>",
        "is_paused": true,
        "is_unauthorized": true
      },
      "reply_email_message": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "subject": "<string>",
        "classifications": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ],
        "received_at": "2023-11-07T05:31:56Z"
      },
      "is_blocked": true,
      "is_bounced": true,
      "is_canceled": true,
      "is_excluded": true,
      "is_opted_out": true,
      "is_paused": true,
      "is_replied": true,
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

cursor
string
limit
integer
Required range: 1 <= x <= 100
sequence_id
string<uuid>

String UUID value.

person_id
string<uuid>

String UUID value.

mailbox_id
string<uuid>

String UUID value.

status
enum<string>[]

Repeat status to filter by multiple enrollment statuses.

Status of a sequence enrollment.

Available options:
DRAFT,
IN_PROGRESS,
FINISHED
updated_after
string<date-time>

Inclusive lower bound on updated_at. String value representing an RFC 3339 datetime.

updated_before
string<date-time>

Inclusive upper bound on updated_at. String value representing an RFC 3339 datetime.

Response

Response returned when listing enrollments.

Response returned when listing enrollments.

enrollments
object[]
required
next_cursor
string | null
required